
#include "mysystemtrayicon.h"

#if KDE_SUPPORT
#include <qtooltip.h>
#include <qpopupmenu.h>

MySystemTrayIcon::MySystemTrayIcon( QPixmap icon, QWidget *parent, 
                                    const char *name )
	: KSystemTray(parent, name )
{
	setPixmap(icon);
}

MySystemTrayIcon::~MySystemTrayIcon() {
}

void MySystemTrayIcon::setVisible( bool visible ) {
	if (visible) show(); else hide();
}

void MySystemTrayIcon::mousePressEvent( QMouseEvent *e  ) {
	if ( !rect().contains( e->pos() ) )
		return;

	switch ( e->button() ) {
		case LeftButton:	emit activated(QSystemTrayIcon::Trigger); break;
		case MidButton:		// fall through
		case RightButton:	context_menu->popup( e->globalPos() ); break;
		default:			// nothing
							break;
	}
}

void MySystemTrayIcon::setToolTip( const QString & tip ) {
	tool_tip = tip;
	QToolTip::add(this, tip);
}

#endif
