
#ifndef _MYSYSTEMTRAYICON_H_
#define _MYSYSTEMTRAYICON_H_

#if KDE_SUPPORT
#include <ksystemtray.h>
#include <qpixmap.h>

#include "baseguiplus.h"

class MySystemTrayIcon : public KSystemTray {
	Q_OBJECT

public:
	enum MessageIcon { NoIcon, Information, Warning, Critical };

	MySystemTrayIcon( QPixmap icon, QWidget *parent=0, const char *name=0 );
	~MySystemTrayIcon();

	void setContextMenu(QPopupMenu * menu) { context_menu = menu; };
	QPopupMenu * contextMenu() { return context_menu; };
	void setToolTip( const QString & tip );
	QString toolTip() { return tool_tip; };

	void showMessage( const QString & title, const QString & message, 
                      MessageIcon icon = Information, int milliseconds = 10000)
	{};

public slots:
	void setVisible( bool visible );

signals:
	void activated ( QSystemTrayIcon::ActivationReason reason );

protected:
	void mousePressEvent(QMouseEvent *e );

	QPopupMenu * context_menu;
	QString tool_tip;
};

#endif

#endif
